#!/usr/bin/env python
# -*- coding: utf-8 -*-

###############################################################################
#  Copyright 2013 Kitware Inc.
#
#  Licensed under the Apache License, Version 2.0 ( the "License" );
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
###############################################################################

import cherrypy


class PyCoverage(object):
    """
    This endpoint serves the coverage.py HTML result report for tests run
    against this instance.
    """
    exposed = True

    def GET(self):
        raise cherrypy.HTTPRedirect('/py_coverage/index.html')


def addDevEndpoints(node, conf):
    """
    This function should add any endpoints which should only be served in a
    development environment.
    """
    node.py_coverage = PyCoverage()

    conf['/py_coverage'] = {
        'tools.staticdir.on': 'True',
        'tools.staticdir.dir': 'clients/web/dev/built/py_coverage'
    }

    return node, conf
